Skip to main content
GET
/
v1
/
payouts
/
{id}
Consulta pagamento por id
curl --request GET \
  --url https://stater.stric.io/v1/payouts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "pixAccountId": "<string>",
  "movementId": "<string>",
  "paymentMethod": "PIX_KEY",
  "pixKey": "<string>",
  "pixKeyType": "<string>",
  "qrCode": "<string>",
  "qrCodeDecodeId": "<string>",
  "amountCents": "<string>",
  "description": "<string>",
  "status": "PENDING",
  "endToEndId": "<string>",
  "providerTransactionId": "<string>",
  "providerCodeTransaction": "<string>",
  "refundEndToEndId": "<string>",
  "refundTransactionId": "<string>",
  "refundedAmountCents": "<string>",
  "submittedAt": "2023-11-07T05:31:56Z",
  "paidAt": "2023-11-07T05:31:56Z",
  "lastPolledAt": "2023-11-07T05:31:56Z",
  "nextPollAt": "2023-11-07T05:31:56Z",
  "pollAttempts": 0,
  "lastError": "<string>",
  "resolvedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "providerResponse": {},
  "providerStatusCode": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Path Parameters

id
string
required
Required string length: 10 - 64

Response

OK

id
string
required
pixAccountId
string
required
movementId
string
required
paymentMethod
enum<string>
required
Available options:
PIX_KEY,
PIX_COPY_AND_PASTE
pixKey
string | null
required
pixKeyType
string | null
required
qrCode
string | null
required
qrCodeDecodeId
string | null
required
amountCents
string<int64-string>
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
description
string | null
required
status
enum<string>
required
Available options:
PENDING,
PROCESSING,
SUBMITTED_UNKNOWN,
SUCCEEDED,
FAILED,
CANCELLED,
REFUNDED,
STUCK
endToEndId
string | null
required
providerTransactionId
string | null
required
providerCodeTransaction
string | null
required
refundEndToEndId
string | null
required
refundTransactionId
string | null
required
refundedAmountCents
string<int64-string>
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
submittedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
paidAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
lastPolledAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
nextPollAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
pollAttempts
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
lastError
string | null
required
resolvedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
providerResponse
object
providerStatusCode
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
{key}
any